Betting.WebApi

<back to all web services

FindSelfServiceDevices

The following routes are available for this service:
All Verbs/qry/self-service-devices
PaginatedQueryRequest Parameters:
NameParameterData TypeRequiredDescription
CurrentPageformintNo
PageSizeformintNo
QueryRequest Parameters:
NameParameterData TypeRequiredDescription
QryformRecordDictionary<string, string>Yes
PaginatedResult<T> Parameters:
NameParameterData TypeRequiredDescription
DataformList<ResponseMetrics>Yes
CurrentPageformlongNo
PageSizeformlongNo
TotalItemsformlongNo
TotalPagesformlongNo
ResponseMetrics Parameters:
NameParameterData TypeRequiredDescription
IdformlongNo
RqcformintNo
OcformintNo
ScformintNo
TcformintNo
AdrformintNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /qry/self-service-devices HTTP/1.1 
Host: api.bettor.webhop.biz 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	currentPage: 0,
	pageSize: 0,
	qry: 
	{
		String: String
	}
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	data: 
	[
		{
			id: String,
			name: String,
			location: 
			{
				data: 
				{
					String: String
				},
				id: String,
				val: String
			},
			userInterface: 0,
			operationalStatus: 1,
			occupancy: 1,
			isAvailable: True,
			walletBalance: 
			{
				amount: 0,
				currency: String
			},
			currentSession: 
			{
				id: String,
				startedAt: 0001-01-01,
				issuedByClerk: 
				{
					id: String,
					val: String
				},
				patron: 
				{
					fullName: String,
					identificationNumber: String,
					identificationDocumentType: String
				}
			}
		}
	],
	currentPage: 0,
	pageSize: 0,
	totalItems: 0,
	totalPages: 0
}